Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class DefaultConfigurationBuilder.ConfigurationBeanFactory

    java.lang.Object
      org.apache.commons.configuration.DefaultConfigurationBuilder.ConfigurationBeanFactory

All Implemented Interfaces:
  BeanFactory

Enclosing class:
  DefaultConfigurationBuilder

    static class DefaultConfigurationBuilder.ConfigurationBeanFactory

extends Object
implements BeanFactory

A specialized `BeanFactory` implementation that handles configuration declarations. This class will retrieve the correct configuration provider and delegate the task of creating the configuration to this object.

Constructor Summary
`DefaultConfigurationBuilder.ConfigurationBeanFactory()`

Method Summary
`Object` | `createBean(Class beanClass, BeanDeclaration data, Object param)` Creates an instance of a bean class.
`Class` | `getDefaultBeanClass()` Returns the default class for this bean factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder.ConfigurationBeanFactory

    DefaultConfigurationBuilder.ConfigurationBeanFactory()

Method Detail

### createBean

    public Object createBean(Class beanClass,
                             BeanDeclaration data,
                             Object param)
                      throws Exception

  Creates an instance of a bean class. This implementation expects that the passed in bean declaration is a declaration for a configuration. It will determine the responsible configuration provider and delegate the call to this instance. If creation of the configuration fails and the `optional` attribute is set, the exception will be ignored and null will be returned.

  Specified by:
    `createBean` in interface `BeanFactory`
  Parameters:
    `beanClass` - the bean class (will be ignored)
    `data` - the declaration
    `param` - an additional parameter (will be ignored)
  Returns:
    the newly created configuration
  Throws:
    `Exception` - if an error occurs

### getDefaultBeanClass

    public Class getDefaultBeanClass()

  Returns the default class for this bean factory.

  Specified by:
    `getDefaultBeanClass` in interface `BeanFactory`
  Returns:
    the default class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.